<template>
  <div>
    <b-table
      @row-dblclicked="deleteMonster" 
      :items="result"/>

    <monster-form />
  </div>
</template>

<script>
import MonsterForm from '~/components/MonsterForm.vue'

export default {
  components: {
    MonsterForm
  },
  data() {
    return {
      result: ''
    };
  },
  methods: {
    deleteMonster(record, index) {
      let ins = this;

      this.$axios({
        method: 'delete',
        url: `http://localhost:3000/monsters/${record.id}`
      })
        .then(res => {ins.$router.go();})
        .catch(err => {console.log(err);});
    }
  },
  created() {
    let ins = this;
    this.$axios({
      method: 'get',
      url: 'http://localhost:3000/monsters'
    })
      .then(res => {
        if (res.data.length == 0)
          ins.result = [{
            'Game Classes': 'empty'
          }]
        else
          ins.result = res.data;
      })
      .catch(err => {
        ins.result = [{
          error: 'Errou, otário'
        }];
      })
  }
}
</script>

<style>

</style>
